/// Contains the response from making an authorization request.
class AuthorizationResponse {
  const AuthorizationResponse({
    this.authorizationCode,
    this.codeVerifier,
    this.nonce,
    this.authorizationAdditionalParameters,
  });

  /// The authorization code.
  final String? authorizationCode;

  /// The code verifier generated by AppAuth when issuing the authorization
  /// request.
  ///
  /// Use this when exchanging the [authorizationCode] for a token.
  final String? codeVerifier;

  /// The nonce generated by AppAuth when issuing the authorization request.
  ///
  /// Use this when exchanging the [authorizationCode] for a token.
  final String? nonce;

  /// Additional parameters included in the response.
  final Map<String, dynamic>? authorizationAdditionalParameters;
}
